%def_disable static

Name: mpeg4ip
Version: 1.3
Release: alt1

Summary: Set of linux video stream processing utilities
License: MPL
Group: Video
Url: http://www.mpeg4ip.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %name-%version.tar.gz
Patch: mpeg4ip-1.3_configure.patch

# Automatically added by buildreq on Sat Jun 11 2005
BuildRequires: esound-devel faac ffmpeg-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gtk-doc id3lib-devel libSDL-devel liba52-devel libalsa-devel libarts-devel libatk-devel libaudio-devel libaudiofile-devel libfaac-devel libfaad-devel libgtk+2-devel liblame-devel libmad-devel libmpeg2-devel libpango-devel libstdc++-devel libvorbis-devel nasm pkgconfig xvid-devel zlib-devel

%if_enabled static
BuildRequires: xorg-x11-devel-static
%endif

%description
The MPEG4IP project provides a standarts-based system
for encoding, streaming and playing encoded auido and video.
This package contains libraries of MPEG4IP project.

%package -n lib%name
Summary: MPEG4IP libraries
Group: Development/C

%description -n lib%name
MPEG4IP libraries.
%package tools
Summary: MPEG4IP tools
Group: Video
Requires: lib%name = %version-%release

%description tools
MPEG4IP video, audio tools.

%package doc
Summary: MPEG4IP Documentation
Group: Video

%description doc
MPEG4IP Documentation.

%package -n lib%name-devel
Summary: MPEG4IP Development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
MPEG4IP Development files

%package player
Summary: MPEG4IP Player (console version)
Group: Video
Requires: lib%name = %version-%release
Requires: %name-player-plugins = %version-%release

%description player
MPEG4IP Player (Console version)

%package player-gui
Summary: MPEG4IP Player (GUI version)
Group: Video
Requires: lib%name = %version-%release
Requires: %name-player-plugins = %version-%release

%description player-gui
MPEG4IP Player (GUI version)

%package player-plugins
Summary: MPEG4IP Player plugins
Group: Video
Requires: lib%name = %version-%release

%description player-plugins
MPEG4IP Player plugins.

%package live
Summary: MPEG4IP Live streaming server
Group: Video
Requires: lib%name = %version-%release

%description live
MPEG4IP Live streaming server

%if_enabled static
%package -n lib%name-devel-static
Summary: MPEG4IP Static development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
MPEG4IP Static development files
%endif

%prep
%setup -q -n %name-%version
%patch -p1

# build player plugins as plugins, not libraries.
find ./player -name "Makefile*" -print0 | xargs -r0 subst 's,\(\-module\),\1 -avoid-version,' --

%build
./bootstrap \
	--prefix=%prefix \
	--includedir=%_includedir/mpeg4 \
	--libdir=%_libdir \
	--mandir=%_mandir \
	%{subst_enable static} \
	--enable-ffmpeg=%_includedir/ffmpeg \
	--enable-server \
	--enable-player \
	--enable-mp4live \
	--enable-mmx

%make_build -j4

%install
%make_install install DESTDIR=%buildroot

# remove non-packaged files.
%__rm -f %buildroot%_libdir/mp4player/*.la

%if_disabled static
%__rm -f %buildroot%_libdir/mp4player/*.a
%endif

#strange .mpt file. go to docs for now...
%__mkdir_p %buildroot%_docdir/%name-%version
%__mv %buildroot/%_mandir/manm/* %buildroot%_docdir/%name-%version/

%__cp -Rv ./doc/* %buildroot%_datadir/doc/%name-%version/
find %buildroot%_datadir/doc/%name-%version -iname "*makefile*" -print0 | xargs -0 rm -f --
%__rm -rf %buildroot%_datadir/doc/%name-%version/{mp4v2,programs}

%files -n lib%name
%_libdir/*.so.*

%files doc
%_man1dir/*
%_datadir/doc/%name-%version

%files -n lib%name-devel
%_bindir/mpeg4ip-config
%_libdir/*.so
%_includedir/*
%_man3dir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files player
%_bindir/mp4player

%files player-plugins
%dir %_libdir/mp4player
%_libdir/mp4player/*.so

%files player-gui
%_bindir/gmp4player

%files live
%_bindir/mp4live

%files tools
%_bindir/*
%exclude %_bindir/gmp4player
%exclude %_bindir/mp4player
%exclude %_bindir/mpeg4ip-config
%exclude %_bindir/mp4live

%changelog
* Fri Jun 17 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.3-alt1
- 1.3 release.

* Fri Mar 25 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.2-alt1
- Initial build for ALT Linux Sisyphus.

